# ShowStacktrace

enum ShowStacktrace

Specifies the detail to include in stacktraces.

## Entries

INTERNAL_EXCEPTIONS
Link copied to clipboard
INTERNAL_EXCEPTIONS
ALWAYS
Link copied to clipboard
ALWAYS
ALWAYS_FULL
Link copied to clipboard
ALWAYS_FULL

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ShowStacktrace

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ShowStacktrace>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.